// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Input } from '@angular/core';

import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import { Account } from './account';

@Component({
  selector: 'account-delete-modal',
  templateUrl: './accountDeleteModal.component.html'
})
export class AccountDeleteModalComponent {
  @Input() account: Account

  constructor(public activeModal: NgbActiveModal) {}

  title(): string {
    if(this.account.id) {
      return "Account #" + this.account.id;
    } else {
      return "New account";
    }
  }

  submit(): void {
    this.activeModal.close(this.account);
  }

  cancel(): void {
    this.activeModal.dismiss("closed");
  }
}
